Új hozzászólás

Frissítettem a kis "home serverem"

Van itthon egy kis szerverecském. A szokásos dolgok futnak rajta, SAMBA, APACHE, PHP, MYSQL, RTORRENT, FTP, HYLAFAX, CLAMAV, Os-nek pedig egy Ubuntu server 9.10 volt eleddig. Természetesen most, hogy kijött a 10.04, jó "kocka" létemre egyből meg is frissítettem.

A frissítéssel kapcsolatos tapasztalataimat írnám le.

Na szóval, mivel a szerverem a szekrény tetejére van száműzve egy szünetmentes társaságban ami ráadásnak az előszobában van így én bizony az ajánlás ellenére SSH követtem el a frissítést. Eddig egyébként ebből soha nem volt bajom pedig pár kiadás frissítést már megcsináltam.

Na szóval kiadtam a parancsot Smile

sudo do-release-upgrade

ubuntu do-release-upgrade

és a parancs hatására elkezdődött a frissítés (azért a Yes -t meg kellet nyomni). Amire nagyon kell figyelni, hogy bizonyos csomagok frissítésekor megkérdi a frissítő, hogy megtartsa az eredeti .conf fájlt vagy felülírja az újjal. Nyilván ha nekünk már van egy belőtt .conf fájlunk annak tartalmát és beállításait nem szereti elveszíteni az ember. Itt egy ilyen eset.

ubuntu do-release-upgrade

Szóval azért észnél kell lenni Smile

Na szóval körülbelül egy fél óra alatt meg is volt a frissítés. Hál isten minden szépen működik semmi nem állítódott el. De hát az ember ezt már el is várja így 2010 környékén.

Egy probléma sajnos mégis adódott ezt még nem tudtam megoldani de amint sikerül le blogolom a megoldást.
A hylafax frissítése nem ment végbe sem a frissítéskor sem mikor később megpróbáltam frissíteni. Ezt a hibaüzenetet kaptam vissza.

Setting up hylafax-client (2:6.0.3-5.1ubuntu1) ...
cp: `/etc/hylafax/pagesizes' and `/var/spool/hylafax/etc/pagesizes' are the same file
dpkg: error processing hylafax-client (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of hylafax-server:
hylafax-server depends on hylafax-client (= 2:6.0.3-5.1ubuntu1); however:
Package hylafax-client is not configured yet.
dpkg: error processing hylafax-server (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
hylafax-client
hylafax-server
Reading package lists...
Building dependency tree...
Reading state information...
libpulse0 is already the newest version.
libpulse0 set to manually installed.
The following packages were automatically installed and are no longer required:
binutils-static tcl8.4
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up hylafax-client (2:6.0.3-5.1ubuntu1) ...
cp: `/etc/hylafax/pagesizes' and `/var/spool/hylafax/etc/pagesizes' are the same file
dpkg: error processing hylafax-client (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of hylafax-server:
hylafax-server depends on hylafax-client (= 2:6.0.3-5.1ubuntu1); however:
Package hylafax-client is not configured yet.
dpkg: error processing hylafax-server (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
hylafax-client
hylafax-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ennek a problémának majd neki futok később. Hál isten a program szépen működik de azért zavaró a dolog.

Szóval jó az új UBI is Biggrin

Hasonló tartalom: 

Plain text

  • A HTML jelölők használata nem megengedett.
  • A webcímek és email címek automatikusan kattintható hivatkozásokká alakulnak.
  • A sorokat és bekezdéseket a rendszer automatikusan felismeri.
By submitting this form, you accept the Mollom privacy policy.